=== debian/changelog ===
ktextaddons (1.5.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:36:47 +0000

ktextaddons (1.5.3-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:24:11 +0000

ktextaddons (1.5.3-0ubuntu1) noble; urgency=medium

  * New upstream release (1.5.3)
  * wrap-and-sort -bt
  * Update build depends from cmake.
  * New shared library in this release:
    - Add libkf5textcustomeditor1 package.
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Jan 2024 18:51:21 +0000
