=== debian/watch ===
version=4
https://download.kde.org/stable/ktextaddons/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
#replace the line above with this one once we have the signature for this tarball
#NOTES:
# - apparently the tarball was signed with a key with hash ACC97558AFEF335FA6455C7F02214E6A62A281BC
# - this key doesn't seem to be available:
#   - http://pgp.mit.edu/pks/lookup?op=get&search=0xACC97558AFEF335FA6455C7F02214E6A62A281BC
#   - it can't be downloaded with "gpg --recv-keys ACC97558AFEF335FA6455C7F02214E6A62A281BC"
#opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/ktextaddons/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
